Bug 1005387 - Keyboard input ignored while tryign to unlock guest in 2nd display
Keyboard input ignored while tryign to unlock guest in 2nd display
Status: CLOSED WONTFIX
Product: Virtualization Tools
Classification: Community
Component: virt-viewer (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 15:30 EDT by Jonathon Jongsma
Modified: 2013-10-26 10:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-26 10:07:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathon Jongsma 2013-09-06 15:30:57 EDT
Description of problem:
When connected to a remote Fedora 19 guest with 2 displays, if the lock screen password dialog is on the second display, keypresses don't get passed to the password input.

Version-Release number of selected component (if applicable):
git commit 67ed4dff9829a1d957aebba9223028f6805dfafb


How reproducible:
unknown

Steps to Reproduce:
1. Set up a guest with 2 displays running Fedora 19.
2. lock the screen of the guest
3. On the second display, click and drag up with the mouse to raise the 'curtain' on the lock screen and expose the login form
4. type your password to unlock the guest

Actual results:
No characters appear in the password entry.  Keyboard input is ignored and the following warning is printed to the terminal:
(remote-viewer:6103): Gtk-CRITICAL **: gtk_widget_event: assertion `WIDGET_REALIZED_FOR_EVENT (widget, event)' failed


Expected results:
Password is displayed as symbols in the password entry, guest is unlocked when pressing enter.

Additional info:
If you focus on the first display (even though the password entry field is on the second display), and then type your password, it works as expected.
Comment 1 Jonathon Jongsma 2013-10-22 17:00:44 EDT
It appears that this may only happen if you have two QXL video devices configured on the guest, but the first QXL device has multiple displays configured.
Comment 2 Marc-Andre Lureau 2013-10-26 10:07:52 EDT
We made the deliberated choice to not support multiple qxl devices and xrandr. This is clearly expected to break in many ways, there is no interest in fixing that. Stick to one qxl device with linux.

Note You need to log in before you can comment on or make changes to this bug.